%define oname   ruby-debug

Name:       ruby-%{oname}
Version:    0.10.4
Release:    %mkrel 3
Summary:    Command line interface (CLI) for ruby-debug-base
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(ruby-debug-base) = %{version}
BuildRequires: rubygem(columnize)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A generic command line interface for ruby-debug.

%files
%defattr(-, root, root, -)
%{_bindir}/rdebug
%{_mandir}/man1/rdebug.1.*
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/%{oname}*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

#remove hidden file
rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/.require_paths

#install manpage
mkdir -p %{buildroot}%{_mandir}/man1/
install -D -m644 doc/rdebug.1 %{buildroot}%{_mandir}/man1/

#fix ruby-debug-base requirement
# FIXME: this is very ugly, but somehow rpm thinks 0.10.4.0 > 0.10.4 :(
sed -i 's/\(ruby-debug-base.*\)~>\( %{version}\).0/\1=\2/g' %{buildroot}%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/bin/rdebug %{buildroot}%{_bindir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/cli/* %{buildroot}%{ruby_vendorlibdir}

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Thu Mar 24 2011 shikamaru <shikamaru> 0.10.4-3.mga1
+ Revision: 77138
- FHS compliance

* Thu Jan 27 2011 shikamaru <shikamaru> 0.10.4-2.mga1
+ Revision: 42421
- add ugly fix to help rpm resolve dependencies
- rel++

* Thu Jan 27 2011 shikamaru <shikamaru> 0.10.4-1.mga1
+ Revision: 42357
- imported package ruby-ruby-debug


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.10.4-1
- Initial package
